Table of Contents

_________________________________________________________________

## NAME

Display - create and manipulate a display widget.

## SYNOPSIS

Display pathName ?options?

## INHERITANCE

itk::Archetype <- itk::Widget <- Dm <- Display
View <- Display

## STANDARD OPTIONS

  background cursor

See the "options" manual entry for details on the standard options.

## INHERITED OPTIONS

Options inherited from itk::Archetype:

  clientdata

Options inherited from View:

  aet center perspective_angle size

Options inherited from Dm:

  bg debug dmsize fb_active fb_update light linestyle linewidth listen perspective type zbuffer zclip

## WIDGET-SPECIFIC OPTIONS

Name:
  rscale

Class:
  Rscale

Command-Line Switch:
  -rscale

Specifies how sensitive the mouse is when rotating the view.

Name:
  sscale

Class:
  Sscale

Command-Line Switch:
  -sscale

Specifies how sensitive the mouse is when scaling the view.

## DESCRIPTION

The Display command creates a new window (given by the pathName argument) and makes it into a display widget for displaying geometry. The display widget also inherits from View, so it can manipulate the view parameters. This widget also maintains a list of drawable geometry objects which it can draw. Additional options, described above, may be specified on the command line or in the option database to configure aspects of the display manager widget. The Display command returns its pathName argument. At the time this command is invoked, there must not exist a window named pathName, but pathName's parent must exist.

## METHODS

The Display command creates a new Tcl command whose name is pathName. This command may be used to invoke various operations on the display widget. It has the following general form:

pathName option ?arg arg ...?

Option and the args determine the exact behavior of the command. The following commands are possible for display widgets:

### BUILT-IN METHODS

  isa info

### ASSOCIATED METHODS

Methods associated with LIBDM's display manager object:

  bg bounds clear debug dmsize drawBegin drawEnd drawGeom drawLine drawPoint drawString fg flush get_aspect light linestyle linewidth listen loadmat normal observer perspective refreshfb sync zbuffer zclip

Methods associated with LIBRT's view object:

  aet center model2view observer perspective pmodel2view rot size slew tra zoom

### INHERITED METHODS

Methods inherited from Archetype:

  cget component configure

Methods inherited from View:

  get_viewname

Methods inherited from Dm:

  dmsize fb_active fb_observe

### WIDGET-SPECIFIC METHODS

pathName add glist
  Add the specified list of drawable geometry objects (i.e. glist) to this object's list of drawable geometry objects.

pathName attach_view
  Cause this object to observe it's view (i.e. whenever the view changes, this object is notified).

pathName attach_drawable dg
  Cause this object to observe the specified drawable geometry object (i.e. whenever the drawable geometry object changes, this object is notified).

pathName autoview ?gindex?
  The first order of business is to decide which drawable geometry object in the list will be used to invoke it's get_autoview method. If -geo gindex is specified, then use that as an index into the list of drawable geometry objects in order to determine the drawable geometry object. Otherwise, use the first drawable geometry object in the list. Once found, the drawable geometry object's get_autoview method is called to obtain optimal viewing parameters for it's geometry. These parameters are then used to set this object's view.

pathName contents
  Return the list of drawable geometry objects referenced by this object.

pathName detach_drawable ?dg?
  Cause this object to stop observing the specified drawable geometry object (i.e. dg).

pathName detach_view
  Cause this object to stop observing it's view.

pathName refresh
  Causes this object to draw it's list of drawable geometry objects.

pathName remove ?glist?
  Remove the specified list of drawable geometry objects (i.e. glist) from this object's list of drawable geometry objects.

pathName rt ?-geo gindex? ?args?
  The first order of business is to decide which drawable geometry object in the list will be used to invoke it's rt method. If -geo gindex is specified, then use that as an index into the list of drawable geometry objects in order to determine the drawable geometry object. Otherwise, use the first drawable geometry object in the list. Once found, the drawable geometry object's rt method is called with this object's view object as the first argument.

pathName rtcheck ?-geo gindex? ?args?
  The first order of business is to decide which drawable geometry object in the list will be used to invoke it's rtcheck method. If -geo gindex is specified, then use that as an index into the list of drawable geometry objects in order to determine the drawable geometry object. Otherwise, use the first drawable geometry object in the list. Once found, the drawable geometry object's rtcheck method is called with this object's view object as the first argument.

pathName update
  This method is provided for the observed objects to call. It simply calls refresh.

## EXAMPLE

cwish> Display .d -dmsize 400
.d
cwish> pack .d -expand yes -fill both
cwish> Database db moss.g
db
cwish> db draw all.g
cwish> .d add [db get_dgname]

## ACKNOWLEDGEMENTS:

Mark L. Ulferts <mulferts@austin.dsccc.com>

            Basic layout for documenting classes.

## AUTHOR

Robert G. Parker

## KEYWORDS

Table of Contents

- NAME
- SYNOPSIS
- INHERITANCE
- STANDARD OPTIONS
- INHERITED OPTIONS
- WIDGET-SPECIFIC OPTIONS
- DESCRIPTION
- METHODS
- BUILT-IN METHODS
- INHERITED METHODS
- WIDGET-SPECIFIC METHODS
- EXAMPLE
- ACKNOWLEDGEMENTS
- AUTHOR
- KEYWORDS